Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 583030 - app-misc/strigi-0.7.8-r1: building w/gcc-6: CMake Error at libstreams/cmake/MacroEnsureVersion.cmake:27 (MATH): math cannot parse the expression: "x86_646*10000 + x86_641*100 + x86_640":
Summary: app-misc/strigi-0.7.8-r1: building w/gcc-6: CMake Error at libstreams/cmake/...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GCC Porting (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo KDE team
URL: https://sourceforge.net/p/strigi/patc...
Whiteboard:
Keywords: UPSTREAM
Depends on:
Blocks: gcc-6
  Show dependency tree
 
Reported: 2016-05-14 16:16 UTC by Peter Levine
Modified: 2016-05-19 13:34 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
strigi-0.7.8-gcc6.patch (strigi-0.7.8-gcc6.patch,1.79 KB, patch)
2016-05-14 16:19 UTC, Peter Levine
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Levine 2016-05-14 16:16:18 UTC
Building app-misc/strigi-0.7.8-r1 with gcc-6 fails in configure stage with:

> CMake Error at libstreams/cmake/MacroEnsureVersion.cmake:27 (MATH):
>   math cannot parse the expression: "x86_646*10000 + x86_641*100 + x86_640":
>   syntax error, unexpected exp_NUMBER, expecting $end (8)
> Call Stack (most recent call first):
>   libstreams/cmake/MacroCheckGccVisibility.cmake:24 (macro_ensure_version)
>   libstreams/CMakeLists.txt:47 (macro_check_gcc_visibility)

> CMake Error at libstreamanalyzer/cmake/MacroEnsureVersion.cmake:27 (MATH):
>   math cannot parse the expression: "x86_646*10000 + x86_641*100 + x86_640":
>   syntax error, unexpected exp_NUMBER, expecting $end (8)
> Call Stack (most recent call first):
>   libstreamanalyzer/cmake/MacroCheckGccVisibility.cmake:24 (macro_ensure_version)
>   libstreamanalyzer/CMakeLists.txt:70 (macro_check_gcc_visibility)
Comment 1 Peter Levine 2016-05-14 16:19:18 UTC
Created attachment 434280 [details, diff]
strigi-0.7.8-gcc6.patch

Pending approval upstream: https://sourceforge.net/p/strigi/patches/4/
Comment 2 Andreas Sturmlechner gentoo-dev 2016-05-14 20:34:55 UTC
I see that fix was applied, but this is bound to break with GCC 7 again. Why not fix it once and for all?
Comment 3 Peter Levine 2016-05-15 20:59:48 UTC
(In reply to Andreas Sturmlechner from comment #2)
> I see that fix was applied, but this is bound to break with GCC 7 again. Why
> not fix it once and for all?

I agree it's not ideal but I don't maintain the cmake module.  IIRC, it has other problems waiting to happen (a bump in the clang version for instance).  I just wanted to demonstrate the simplest fix and allow upstream to decide if/how it will restructure it.
Comment 4 Johannes Huber gentoo-dev 2016-05-19 13:34:46 UTC
Thanks. 

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=19fe7ff6b906d04e9641f6229a5166d7b5c006dc

(In reply to Andreas Sturmlechner from comment #2)
> I see that fix was applied, but this is bound to break with GCC 7 again. Why
> not fix it once and for all?

This is correct but i think at this time strigi is already removed ;).